/**********************************************************************
*
* @file		COG_LCD.h
* @brief	Header file for the onboard Chip-on-Glass LCD.
* @version	1.0
* @date		09. January. 2012
* @author	Cam Thompson, Micromega Corporation
*
**********************************************************************/

#ifndef _COG_LCD_H_
#define _COG_LCD_H_

/* Public Declarations -------------------------------------------------------- */

// pen types
#define PEN_SET		1
#define PEN_CLEAR	2
#define PEN_TOGGLE	3

/* Public Functions ----------------------------------------------------------- */
void COG_LCD_Init(void);
void COG_LCD_Clear(void);
void COG_LCD_PenType(uint8_t n);
void COG_LCD_FontSize(uint8_t n);
void COG_LCD_BlackOnWhite(void);
void COG_LCD_WhiteOnBlack(void);

void COG_LCD_Move(uint8_t row, uint8_t y);
void COG_LCD_Print(char *s);
void COG_LCD_Putc(char ch);

void COG_LCD_DrawClear(void);
void COG_LCD_DrawPoint(uint8_t x, uint8_t y);
void COG_LCD_DrawLine(uint8_t x1, uint8_t y1,uint8_t x2, uint8_t y2);
void COG_LCD_DrawRect(uint8_t x, uint8_t y, uint8_t width, uint8_t height);
void COG_LCD_FillRect(uint8_t x, uint8_t y, uint8_t width, uint8_t height);
void COG_LCD_DrawImage(uint8_t x, uint8_t y, uint8_t width, uint8_t height, uint8_t *b);
void COG_LCD_DrawString(uint8_t x, uint8_t y, char *s);
void COG_LCD_DrawByteString(uint8_t x, uint8_t y, uint8_t len, uint8_t *b);

void COG_LCD_Update(void);
#endif /* _COG_LCD_H_ */
