/**********************************************************************
*
* @file		se97.h
* @brief	Header file for SE97 temperature sensor and 256 byte EEPROM
* @version	1.0
* @date		13. January. 2012
* @author	Cam Thompson, Micromega Corporation
*
**********************************************************************/

#ifndef _se97_H_
#define _se97_H_

/* Includes ------------------------------------------------------------------- */
#include "lpc_types.h"

/* Public Declarations -------------------------------------------------------- */

// SE97 declarations
#define SE97_TEMP_ADDR			(0x30>>1)
#define SE97_EEPROM_ADDR		(0xA0>>1)

#define SE97_CAPABILITY_REG		0x00
#define SE97_CONFIG_REG			0x01
#define SE97_UPPER_ALARM_REG	0x02
#define SE97_LOWER_ALARM_REG	0x03
#define SE97_TRIP_REG			0x04
#define SE97_TEMP_REG			0x05
#define SE97_MANU_ID_REG		0x06
#define SE97_DEV_ID_REG			0x07


/* Public Functions ----------------------------------------------------------- */

void se97_Init(void);
uint16_t se97_Temperature(void);
void se97_Write(uint8_t reg, uint16_t val);
uint16_t se97_Read(uint8_t reg);

#endif // _se97_H_
